Download it now!
Bug 46025 - Writer FILESAVE, FILEOPEN: docx files with "Content" field processed incorrectly
Summary: Writer FILESAVE, FILEOPEN: docx files with "Content" field processed incorrectly
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-14 01:56 UTC by sasha.libreoffice
Modified: 2014-03-21 08:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
odt file that contains table of content, created in Writer (11.37 KB, application/vnd.oasis.opendocument.text)
2012-02-14 01:57 UTC, sasha.libreoffice
Details
docx file with table of content, created in Word 2007 (14.27 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-02-14 01:58 UTC, sasha.libreoffice
Details
odt file created in Word 2007 (6.80 KB, application/vnd.oasis.opendocument.text)
2012-02-14 02:02 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-02-14 01:56:05 UTC
When in Writer insert content (Insert->Indexes and talbes->Indexes and talbes) and save as docx, Word 2007 not opens this file, complains on error (IMHO dislikes links)
When in Word 2007 insert content (Links->Content (on left side of ribbon)) it not appears in Writer
Comment 1 sasha.libreoffice 2012-02-14 01:57:22 UTC
Created attachment 57018 [details]
odt file that contains table of content, created in Writer
Comment 2 sasha.libreoffice 2012-02-14 01:58:29 UTC
Created attachment 57019 [details]
docx file with table of content, created in Word 2007
Comment 3 sasha.libreoffice 2012-02-14 02:02:42 UTC
Created attachment 57022 [details]
odt file created in Word 2007
Comment 4 Rainer Bielefeld Retired 2012-05-03 22:23:59 UTC
@sahsa:
what's your result?
Comment 5 sasha.libreoffice 2012-05-04 02:08:56 UTC
testing in 3.5.3 on Fedora 64 bit:
saving first attachment to docx using Writer -> msWord 2007 can not open
opening second attachment by Writer -> works correctly
opening 3-th attachment by Writer -> opens wrong, it is not table of contents

validating 3-th attachment on site http://odf-validator.rhcloud.com/ -> no serious errors

in short: saving to docx and opening odt works wrong
Comment 6 Joel Madero 2012-07-23 15:11:17 UTC
I have confirmed this. Marking as NEW. Leaving as Normal Medium bug, think that priority fits it best as it's not a feature that will affect a ton of users but none the less is a bug that requires workarounds.
Comment 7 Jorendc 2014-03-19 21:48:40 UTC
(In reply to comment #5)
> testing in 3.5.3 on Fedora 64 bit:
> saving first attachment to docx using Writer -> msWord 2007 can not open

Looks fixed to me.

> opening second attachment by Writer -> works correctly
> opening 3-th attachment by Writer -> opens wrong, it is not table of contents

I think this issue is fixed to.

@Sasha: you mind verifying :)?

Marking as RESOLVED WORKFORME in the mean time.
Kind regards,
Joren
Comment 8 sasha.libreoffice 2014-03-21 08:11:00 UTC
Thanks for additional testing.
Indeed, in 4.1.3 works correctly